| Earth Observation Mission CFI Software Visibility Software User Manual for JAVA |

Public Member Functions | Public Attributes

# EECFI.StationExtraInfo Class Reference

Additional information to visibility segments computed for one station. More...

Inheritance diagram for EECFI.StationExtraInfo:

List of all members.

## Public Member Functions
| StationExtraInfo ()
| Empty Class constructor.
| StationExtraInfo (long orbit, long secs, long microsecs)
| Constructor by parameters.
| StationExtraInfo (String staId, double utc, long orbit, long secs, long microsecs)
| Constructor by parameters.
| StationExtraInfo (StationExtraInfo info) throws CfiError
| Copy constructor.
## Public Attributes
String | stationId
| Station Id (only meaningful if computation is performed with Swath.stationVisTimeCompute).
double | utcTime
| UTC time (only meaningful if computation is performed with Swath.stationVisTimeCompute).
ANXTime | zdop
| Zero doppler time (values = -1 if no zero doppler within corresponding visibility segment).

## Detailed Description

Additional information to visibility segments computed for one station.

## Constructor & Destructor Documentation

EECFI.StationExtraInfo.StationExtraInfo | ( |  | ) |

Empty Class constructor.

EECFI.StationExtraInfo.StationExtraInfo | ( | long | orbit,
|  | long | secs,
|  | long | microsecs |
| ) |  |  |

Constructor by parameters.

EECFI.StationExtraInfo.StationExtraInfo | ( | String | staId,
|  | double | utc,
|  | long | orbit,
|  | long | secs,
|  | long | microsecs |
| ) |  |  |

Constructor by parameters.

EECFI.StationExtraInfo.StationExtraInfo | ( | StationExtraInfo | info | ) | throws CfiError

Copy constructor.

## Member Data Documentation

String EECFI.StationExtraInfo.stationId

Station Id (only meaningful if computation is performed with Swath.stationVisTimeCompute).

double EECFI.StationExtraInfo.utcTime

UTC time (only meaningful if computation is performed with Swath.stationVisTimeCompute).

ANXTime EECFI.StationExtraInfo.zdop

Zero doppler time (values = -1 if no zero doppler within corresponding visibility segment).